Bug 694100

Summary: boxgrinder hang on mkfs.ext4 on loop with btrfs
Product: [Fedora] Fedora Reporter: Naoki <naoki>
Component: kernelAssignee: Josef Bacik <jbacik>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-08-08 12:33:25 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 689509    

Description Naoki 2011-04-06 09:04:52 EDT
Description of problem:

Running boxgrinder works up until the mkfs.ext4 on loop0 device when using btrfs (on LVM) as the underlying file-system, after hard reboot the FS is now un-mountable as attempts to do so hang indefinitely.

Version-Release number of selected component (if applicable):

kernel-2.6.38.2-9.fc15.x86_64
btrfs-progs-0.19-13.fc15.x86_64
rubygem-boxgrinder-build-0.9.0-3.fc15.noarch
rubygem-boxgrinder-core-0.3.0-1.fc15.noarch

How reproducible:
Not able to reproduce the boxgrinder loop device format + hang but the hanging mount point remains consistent.

Steps to Reproduce:
1. Create a btrfs volume.
2. Run boxgrinder-build <applicance> (default kvm)
  
Actual results:
When the log gets to the loop device formatting it will not complete.

Expected results:
An image file as output.

Additional info:

btrfsck now shows ...

# btrfsck /dev/VolGroup/bt_home
fs tree 256 refs 3 not found
        unresolved ref root 278 dir 256 index 5 namelen 10 name preupgrade error 600
        unresolved ref root 279 dir 256 index 5 namelen 10 name preupgrade error 600
        unresolved ref root 280 dir 256 index 5 namelen 10 name preupgrade error 600
fs tree 257 refs 3 not found
        unresolved ref root 278 dir 256 index 6 namelen 18 name yum_20110308170439 error 600
        unresolved ref root 279 dir 256 index 6 namelen 18 name yum_20110308170439 error 600
        unresolved ref root 280 dir 256 index 6 namelen 18 name yum_20110308170439 error 600
fs tree 258 refs 5 not found
        unresolved ref root 278 dir 256 index 7 namelen 18 name yum_20110308170741 error 600
        unresolved ref root 279 dir 256 index 7 namelen 18 name yum_20110308170741 error 600
        unresolved ref root 280 dir 256 index 7 namelen 18 name yum_20110308170741 error 600
        unresolved ref root 281 dir 256 index 7 namelen 18 name yum_20110308170741 error 600
        unresolved ref root 282 dir 256 index 7 namelen 18 name yum_20110308170741 error 600
fs tree 259 refs 5 not found
        unresolved ref root 278 dir 256 index 8 namelen 18 name yum_20110308175131 error 600
        unresolved ref root 279 dir 256 index 8 namelen 18 name yum_20110308175131 error 600
        unresolved ref root 280 dir 256 index 8 namelen 18 name yum_20110308175131 error 600
        unresolved ref root 281 dir 256 index 8 namelen 18 name yum_20110308175131 error 600
        unresolved ref root 282 dir 256 index 8 namelen 18 name yum_20110308175131 error 600
fs tree 260 refs 5 not found
        unresolved ref root 278 dir 256 index 9 namelen 18 name yum_20110308175326 error 600
        unresolved ref root 279 dir 256 index 9 namelen 18 name yum_20110308175326 error 600
        unresolved ref root 280 dir 256 index 9 namelen 18 name yum_20110308175326 error 600
        unresolved ref root 281 dir 256 index 9 namelen 18 name yum_20110308175326 error 600
        unresolved ref root 282 dir 256 index 9 namelen 18 name yum_20110308175326 error 600
fs tree 261 refs 5 not found
        unresolved ref root 278 dir 256 index 10 namelen 18 name yum_20110308175527 error 600
        unresolved ref root 279 dir 256 index 10 namelen 18 name yum_20110308175527 error 600
        unresolved ref root 280 dir 256 index 10 namelen 18 name yum_20110308175527 error 600
        unresolved ref root 281 dir 256 index 10 namelen 18 name yum_20110308175527 error 600
        unresolved ref root 282 dir 256 index 10 namelen 18 name yum_20110308175527 error 600
fs tree 262 refs 5 not found
        unresolved ref root 278 dir 256 index 11 namelen 18 name yum_20110309084935 error 600
        unresolved ref root 279 dir 256 index 11 namelen 18 name yum_20110309084935 error 600
        unresolved ref root 280 dir 256 index 11 namelen 18 name yum_20110309084935 error 600
        unresolved ref root 281 dir 256 index 11 namelen 18 name yum_20110309084935 error 600
        unresolved ref root 282 dir 256 index 11 namelen 18 name yum_20110309084935 error 600
fs tree 263 refs 5 not found
        unresolved ref root 278 dir 256 index 12 namelen 18 name yum_20110309102619 error 600
        unresolved ref root 279 dir 256 index 12 namelen 18 name yum_20110309102619 error 600
        unresolved ref root 280 dir 256 index 12 namelen 18 name yum_20110309102619 error 600
        unresolved ref root 281 dir 256 index 12 namelen 18 name yum_20110309102619 error 600
        unresolved ref root 282 dir 256 index 12 namelen 18 name yum_20110309102619 error 600
fs tree 264 refs 5 not found
        unresolved ref root 278 dir 256 index 13 namelen 18 name yum_20110309161629 error 600
        unresolved ref root 279 dir 256 index 13 namelen 18 name yum_20110309161629 error 600
        unresolved ref root 280 dir 256 index 13 namelen 18 name yum_20110309161629 error 600
        unresolved ref root 281 dir 256 index 13 namelen 18 name yum_20110309161629 error 600
        unresolved ref root 282 dir 256 index 13 namelen 18 name yum_20110309161629 error 600
fs tree 265 refs 5 not found
        unresolved ref root 278 dir 256 index 14 namelen 18 name yum_20110309164521 error 600
        unresolved ref root 279 dir 256 index 14 namelen 18 name yum_20110309164521 error 600
        unresolved ref root 280 dir 256 index 14 namelen 18 name yum_20110309164521 error 600
        unresolved ref root 281 dir 256 index 14 namelen 18 name yum_20110309164521 error 600
        unresolved ref root 282 dir 256 index 14 namelen 18 name yum_20110309164521 error 600
fs tree 266 refs 5 not found
        unresolved ref root 278 dir 256 index 15 namelen 18 name yum_20110309164630 error 600
        unresolved ref root 279 dir 256 index 15 namelen 18 name yum_20110309164630 error 600
        unresolved ref root 280 dir 256 index 15 namelen 18 name yum_20110309164630 error 600
        unresolved ref root 281 dir 256 index 15 namelen 18 name yum_20110309164630 error 600
        unresolved ref root 282 dir 256 index 15 namelen 18 name yum_20110309164630 error 600
fs tree 267 refs 5 not found
        unresolved ref root 278 dir 256 index 16 namelen 18 name yum_20110309164647 error 600
        unresolved ref root 279 dir 256 index 16 namelen 18 name yum_20110309164647 error 600
        unresolved ref root 280 dir 256 index 16 namelen 18 name yum_20110309164647 error 600
        unresolved ref root 281 dir 256 index 16 namelen 18 name yum_20110309164647 error 600
        unresolved ref root 282 dir 256 index 16 namelen 18 name yum_20110309164647 error 600
fs tree 268 refs 5 not found
        unresolved ref root 278 dir 256 index 17 namelen 18 name yum_20110310144119 error 600
        unresolved ref root 279 dir 256 index 17 namelen 18 name yum_20110310144119 error 600
        unresolved ref root 280 dir 256 index 17 namelen 18 name yum_20110310144119 error 600
        unresolved ref root 281 dir 256 index 17 namelen 18 name yum_20110310144119 error 600
        unresolved ref root 282 dir 256 index 17 namelen 18 name yum_20110310144119 error 600
fs tree 269 refs 5 not found
        unresolved ref root 278 dir 256 index 18 namelen 18 name yum_20110310154707 error 600
        unresolved ref root 279 dir 256 index 18 namelen 18 name yum_20110310154707 error 600
        unresolved ref root 280 dir 256 index 18 namelen 18 name yum_20110310154707 error 600
        unresolved ref root 281 dir 256 index 18 namelen 18 name yum_20110310154707 error 600
        unresolved ref root 282 dir 256 index 18 namelen 18 name yum_20110310154707 error 600
fs tree 270 refs 5 not found
        unresolved ref root 278 dir 256 index 19 namelen 18 name yum_20110310155957 error 600
        unresolved ref root 279 dir 256 index 19 namelen 18 name yum_20110310155957 error 600
        unresolved ref root 280 dir 256 index 19 namelen 18 name yum_20110310155957 error 600
        unresolved ref root 281 dir 256 index 19 namelen 18 name yum_20110310155957 error 600
        unresolved ref root 282 dir 256 index 19 namelen 18 name yum_20110310155957 error 600
fs tree 271 refs 5 not found
        unresolved ref root 278 dir 256 index 20 namelen 18 name yum_20110310160052 error 600
        unresolved ref root 279 dir 256 index 20 namelen 18 name yum_20110310160052 error 600
        unresolved ref root 280 dir 256 index 20 namelen 18 name yum_20110310160052 error 600
        unresolved ref root 281 dir 256 index 20 namelen 18 name yum_20110310160052 error 600
        unresolved ref root 282 dir 256 index 20 namelen 18 name yum_20110310160052 error 600
fs tree 272 refs 5 not found
        unresolved ref root 278 dir 256 index 21 namelen 18 name yum_20110310183808 error 600
        unresolved ref root 279 dir 256 index 21 namelen 18 name yum_20110310183808 error 600
        unresolved ref root 280 dir 256 index 21 namelen 18 name yum_20110310183808 error 600
        unresolved ref root 281 dir 256 index 21 namelen 18 name yum_20110310183808 error 600
        unresolved ref root 282 dir 256 index 21 namelen 18 name yum_20110310183808 error 600
fs tree 273 refs 5 not found
        unresolved ref root 278 dir 256 index 22 namelen 18 name yum_20110315115020 error 600
        unresolved ref root 279 dir 256 index 22 namelen 18 name yum_20110315115020 error 600
        unresolved ref root 280 dir 256 index 22 namelen 18 name yum_20110315115020 error 600
        unresolved ref root 281 dir 256 index 22 namelen 18 name yum_20110315115020 error 600
        unresolved ref root 282 dir 256 index 22 namelen 18 name yum_20110315115020 error 600
fs tree 274 refs 5 not found
        unresolved ref root 278 dir 256 index 23 namelen 18 name yum_20110316155448 error 600
        unresolved ref root 279 dir 256 index 23 namelen 18 name yum_20110316155448 error 600
        unresolved ref root 280 dir 256 index 23 namelen 18 name yum_20110316155448 error 600
        unresolved ref root 281 dir 256 index 23 namelen 18 name yum_20110316155448 error 600
        unresolved ref root 282 dir 256 index 23 namelen 18 name yum_20110316155448 error 600
fs tree 275 refs 5 not found
        unresolved ref root 278 dir 256 index 24 namelen 18 name yum_20110330175354 error 600
        unresolved ref root 279 dir 256 index 24 namelen 18 name yum_20110330175354 error 600
        unresolved ref root 280 dir 256 index 24 namelen 18 name yum_20110330175354 error 600
        unresolved ref root 281 dir 256 index 24 namelen 18 name yum_20110330175354 error 600
        unresolved ref root 282 dir 256 index 24 namelen 18 name yum_20110330175354 error 600
fs tree 276 refs 5 not found
        unresolved ref root 278 dir 256 index 25 namelen 18 name yum_20110403225445 error 600
        unresolved ref root 279 dir 256 index 25 namelen 18 name yum_20110403225445 error 600
        unresolved ref root 280 dir 256 index 25 namelen 18 name yum_20110403225445 error 600
        unresolved ref root 281 dir 256 index 25 namelen 18 name yum_20110403225445 error 600
        unresolved ref root 282 dir 256 index 25 namelen 18 name yum_20110403225445 error 600
fs tree 277 refs 5 not found
        unresolved ref root 278 dir 256 index 26 namelen 18 name yum_20110404152609 error 600
        unresolved ref root 279 dir 256 index 26 namelen 18 name yum_20110404152609 error 600
        unresolved ref root 280 dir 256 index 26 namelen 18 name yum_20110404152609 error 600
        unresolved ref root 281 dir 256 index 26 namelen 18 name yum_20110404152609 error 600
        unresolved ref root 282 dir 256 index 26 namelen 18 name yum_20110404152609 error 600
fs tree 278 refs 10
        unresolved ref root 278 dir 256 index 27 namelen 18 name yum_20110404152924 error 600
        unresolved ref root 279 dir 256 index 27 namelen 18 name yum_20110404152924 error 600
        unresolved ref root 280 dir 256 index 27 namelen 18 name yum_20110404152924 error 600
        unresolved ref root 281 dir 256 index 27 namelen 18 name yum_20110404152924 error 600
        unresolved ref root 282 dir 256 index 27 namelen 18 name yum_20110404152924 error 600
        unresolved ref root 283 dir 256 index 27 namelen 18 name yum_20110404152924 error 600
        unresolved ref root 284 dir 256 index 27 namelen 18 name yum_20110404152924 error 600
        unresolved ref root 285 dir 256 index 27 namelen 18 name yum_20110404152924 error 600
        unresolved ref root 286 dir 256 index 27 namelen 18 name yum_20110404152924 error 600
fs tree 279 refs 9
        unresolved ref root 279 dir 256 index 28 namelen 18 name yum_20110404152943 error 600
        unresolved ref root 280 dir 256 index 28 namelen 18 name yum_20110404152943 error 600
        unresolved ref root 281 dir 256 index 28 namelen 18 name yum_20110404152943 error 600
        unresolved ref root 282 dir 256 index 28 namelen 18 name yum_20110404152943 error 600
        unresolved ref root 283 dir 256 index 28 namelen 18 name yum_20110404152943 error 600
        unresolved ref root 284 dir 256 index 28 namelen 18 name yum_20110404152943 error 600
        unresolved ref root 285 dir 256 index 28 namelen 18 name yum_20110404152943 error 600
        unresolved ref root 286 dir 256 index 28 namelen 18 name yum_20110404152943 error 600
fs tree 280 refs 8
        unresolved ref root 280 dir 256 index 29 namelen 18 name yum_20110405142450 error 600
        unresolved ref root 281 dir 256 index 29 namelen 18 name yum_20110405142450 error 600
        unresolved ref root 282 dir 256 index 29 namelen 18 name yum_20110405142450 error 600
        unresolved ref root 283 dir 256 index 29 namelen 18 name yum_20110405142450 error 600
        unresolved ref root 284 dir 256 index 29 namelen 18 name yum_20110405142450 error 600
        unresolved ref root 285 dir 256 index 29 namelen 18 name yum_20110405142450 error 600
        unresolved ref root 286 dir 256 index 29 namelen 18 name yum_20110405142450 error 600
fs tree 281 refs 7
        unresolved ref root 281 dir 256 index 30 namelen 18 name yum_20110405165941 error 600
        unresolved ref root 282 dir 256 index 30 namelen 18 name yum_20110405165941 error 600
        unresolved ref root 283 dir 256 index 30 namelen 18 name yum_20110405165941 error 600
        unresolved ref root 284 dir 256 index 30 namelen 18 name yum_20110405165941 error 600
        unresolved ref root 285 dir 256 index 30 namelen 18 name yum_20110405165941 error 600
        unresolved ref root 286 dir 256 index 30 namelen 18 name yum_20110405165941 error 600
fs tree 282 refs 6
        unresolved ref root 282 dir 256 index 31 namelen 18 name yum_20110405170820 error 600
        unresolved ref root 283 dir 256 index 31 namelen 18 name yum_20110405170820 error 600
        unresolved ref root 284 dir 256 index 31 namelen 18 name yum_20110405170820 error 600
        unresolved ref root 285 dir 256 index 31 namelen 18 name yum_20110405170820 error 600
        unresolved ref root 286 dir 256 index 31 namelen 18 name yum_20110405170820 error 600
fs tree 283 refs 5
        unresolved ref root 283 dir 256 index 32 namelen 18 name yum_20110405180151 error 600
        unresolved ref root 284 dir 256 index 32 namelen 18 name yum_20110405180151 error 600
        unresolved ref root 285 dir 256 index 32 namelen 18 name yum_20110405180151 error 600
        unresolved ref root 286 dir 256 index 32 namelen 18 name yum_20110405180151 error 600
fs tree 284 refs 4
        unresolved ref root 284 dir 256 index 33 namelen 18 name yum_20110405180559 error 600
        unresolved ref root 285 dir 256 index 33 namelen 18 name yum_20110405180559 error 600
        unresolved ref root 286 dir 256 index 33 namelen 18 name yum_20110405180559 error 600
fs tree 285 refs 3
        unresolved ref root 285 dir 256 index 34 namelen 18 name yum_20110406072611 error 600
        unresolved ref root 286 dir 256 index 34 namelen 18 name yum_20110406072611 error 600
fs tree 286 refs 2
        unresolved ref root 286 dir 256 index 35 namelen 18 name yum_20110406094846 error 600
found 31066185728 bytes used err is 1
total csum bytes: 30216188
total tree bytes: 124805120
total fs tree bytes: 77926400
btree space waste bytes: 26725075
file data blocks allocated: 168547446784
 referenced 55654875136
Btrfs Btrfs v0.19
Comment 1 Josef Bacik 2011-06-15 11:12:09 EDT
I cant get boxgrinder to run, I'm using the appl definition from the tutorial here

http://boxgrinder.org/tutorials/boxgrinder-build-quick-start/build-your-first-appliance/

This is the error i'm getting


[root@destiny btrfs-test]# boxgrinder-build f14-basic.appl 
I, [2011-06-15T11:09:30.486992 #1827]  INFO -- : Validating appliance definition from f14-basic.appl file...
I, [2011-06-15T11:09:30.490000 #1827]  INFO -- : Appliance definition is valid.
I, [2011-06-15T11:09:30.497141 #1827]  INFO -- : Building 'f14-basic' appliance for x86_64 architecture.
I, [2011-06-15T11:09:30.502032 #1827]  INFO -- : Resolving packages added to f14-basic appliance definition file...
I, [2011-06-15T11:10:17.910323 #1827]  INFO -- : All additional packages for f14-basic appliance successfully resolved.
I, [2011-06-15T11:10:17.910645 #1827]  INFO -- : Building f14-basic appliance...
E, [2011-06-15T11:10:42.631039 #1827] ERROR -- : /usr/lib/ruby/gems/1.8/gems/boxgrinder-core-0.3.2/lib/boxgrinder-core/helpers/exec-helper.rb:85:in `execute'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.2/lib/boxgrinder-build/plugins/os/rpm-based/rpm-based-os-plugin.rb:153:in `execute_appliance_creator'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.2/lib/boxgrinder-build/plugins/os/rpm-based/rpm-based-os-plugin.rb:101:in `build_with_appliance_creator'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.2/lib/boxgrinder-build/plugins/os/fedora/fedora-plugin.rb:44:in `execute'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.2/lib/boxgrinder-build/plugins/base-plugin.rb:132:in `run'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.2/lib/boxgrinder-build/appliance.rb:105:in `execute_os_plugin'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.2/lib/boxgrinder-build/appliance.rb:79:in `execute_plugin_chain'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.2/lib/boxgrinder-build/appliance.rb:90:in `create'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.2/bin/boxgrinder-build:177
/usr/bin/boxgrinder-build:19:in `load'
/usr/bin/boxgrinder-build:19
F, [2011-06-15T11:10:42.631702 #1827] FATAL -- : RuntimeError: An error occurred while executing command: 'appliance-creator -d -v -t 'build/appliances/x86_64/fedora/14/f14-basic/fedora-plugin/tmp' --cache=/var/cache/boxgrinder/rpms-cache/x86_64/fedora/14 --config 'build/appliances/x86_64/fedora/14/f14-basic/fedora-plugin/tmp/f14-basic.ks' -o 'build/appliances/x86_64/fedora/14/f14-basic/fedora-plugin/tmp' --name 'f14-basic' --vmem 256 --vcpu 1 --format raw', process exited with wrong exit status: 1
/usr/lib/ruby/gems/1.8/gems/boxgrinder-core-0.3.2/lib/boxgrinder-core/helpers/exec-helper.rb:92:in `execute'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.2/lib/boxgrinder-build/plugins/os/rpm-based/rpm-based-os-plugin.rb:153:in `execute_appliance_creator'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.2/lib/boxgrinder-build/plugins/os/rpm-based/rpm-based-os-plugin.rb:101:in `build_with_appliance_creator'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.2/lib/boxgrinder-build/plugins/os/fedora/fedora-plugin.rb:44:in `execute'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.2/lib/boxgrinder-build/plugins/base-plugin.rb:132:in `run'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.2/lib/boxgrinder-build/appliance.rb:105:in `execute_os_plugin'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.2/lib/boxgrinder-build/appliance.rb:79:in `execute_plugin_chain'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.2/lib/boxgrinder-build/appliance.rb:90:in `create'
/usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.2/bin/boxgrinder-build:177
/usr/bin/boxgrinder-build:19:in `load'

what am i doing wrong?
Comment 2 Josef Bacik 2011-06-15 11:19:41 EDT
Nm looks like it doesn't like resolving f14 stuff, I changed it to fedora 15 and its buzzing along now.
Comment 3 Josef Bacik 2011-06-15 11:33:49 EDT
Seems to be working fine on upstream kernels.
Comment 4 Josef Bacik 2011-08-08 12:33:25 EDT
Closing since it works fine for me.